%define major                 1
%define libname               %mklibname netfilter_queue %{major}
%define libnamedevel          %mklibname netfilter_queue -d

Name:           libnetfilter_queue
Version:        1.0.2
Release:        %mkrel 1
Summary:        Provides an API for packets that have been queued by the kernel packet filter
Group:          System/Libraries
License:        GPL
URL:            http://www.netfilter.org/projects/libnetfilter_queue/index.html
Source0:        http://www.netfilter.org/projects/libnetfilter_queue/files/libnetfilter_queue-%{version}.tar.xz
BuildRequires: pkgconfig(libmnl) >= 1.0.3
BuildRequires: pkgconfig(libnfnetlink) >= 0.0.41

%description
libnetfilter_queue is a userspace library providing an API to
packets that have been queued by the kernel packet filter. It is
part of a system that deprecates the old ip_queue/libipq mechanism.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       netfilter_queue = %{version}-%{release}

%description -n %{libname}
libnetfilter_queue is a userspace library providing an API for
packets that have been queued by the kernel packet filter. It is
part of a system that deprecates the old ip_queue/libipq mechanism.

%package -n %{libnamedevel}
Summary:        Development files for %{name}
Group:          Development/Libraries
Obsoletes:      %{_lib}netfilter_queue1-devel < %{version}-%{release}
Provides:       netfilter_queue-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libnamedevel}
This package contains the development files for %{name}.

%prep
%setup -q

%build
%{configure2_5x} --disable-static
%{make}

%install
%{makeinstall_std}
rm -f %{buildroot}%{_libdir}/*.la

%{make} check

%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedevel}
%{_includedir}/libnetfilter_queue
%{_includedir}/internal.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnetfilter_queue.pc


%changelog
* Sun May 20 2018 adrianomorselli <adrianomorselli> 1.0.2-1uplos2018
- update
